/* Font */
@import "../font/stylesheet";

/* Bulma */
@import "bulma/sass/base/all";

@import "bulma/sass/helpers/flexbox";
@import "bulma/sass/helpers/visibility";

@import "bulma/sass/grid/columns";

#nprogress .bar {
	background: $primary;
}

body {
	color: unset;
}

.on-print {
	display: none;
}

.is-clipped {
	overflow: hidden;
}

body {
	line-height: 1.5rem;
}

#app {
	color: $black;
	min-height: 100vh;
	transition: 
		color .2s ease-in-out,
		background .2s ease-in-out;
	&.dark {
		color: $white;
		background: #1E1E1E;

		a:not(.button) {
			color: $white;
			&:hover {
				color: $primary;
			}
		}
	}
	.header {
		z-index: 2;
	}
	main {
		z-index: 1;
		&.active-filter {
			z-index: 2;
		}
	}

	.container > .title {
		border-color: #434343;
	}
}

.container > .title {
	margin-bottom: 2.5rem;
	transition: border-color .2s ease-in-out;
	h2 {
		font-size: 2rem;
		font-weight: 500;
		text-transform: uppercase;
	}
}

.swiper {
	overflow: visible!important;
}

.swiper-slide {
	transition: opacity .2s ease-in-out!important;
	opacity: 0;
	&-visible {
		opacity: 1;
	}
}

a {
	color: $text;
	transition: color .2s ease-in-out;
	&:hover {
		color: $primary;
	}
}

.icon {
	outline: none!important;
	svg {
		width: 100%;
		outline: none!important;
	}
}

.img img,
.img svg {
	max-width: 100%;
}

.menu-item {
	&-content {
		font-size: 1rem;
		color: $white;
		transition: color .2s ease-in-out;
		cursor: pointer;
		user-select: none;
		svg {
			path {
				fill: $white;
				transition: fill .2s ease-in-out;
			}
		}
	}
	&:hover {
		.menu-item-content {
			color: $primary;
			svg {
				path {
					fill: $primary;
				}
			}
		}
	}
	&.has-dropdown {
		@include max_tablet {
			z-index: 2;
		}
		.dropdown {
			background: $dark;
			transition: background .2s ease-in-out;
			&.dark {
				background: #333333;
			}
			@include min_tablet {
				width: 100%;
				max-height: 0px;
				overflow: hidden;
				transition: 
					max-height .2s ease-in-out,
					border-bottom .2s ease-in-out,
					box-shadow .2s ease-in-out;
				position: absolute;
				top: 100%;
				left: 0;
			}
			@include max_tablet {
				height: calc(100vh - 3rem);
				width: 100%;
				position: fixed;
				top: 3rem;
				left: 100%;
				overflow-x: hidden;
				overflow-y: auto;
				transition: left .2s ease-in-out;
				&.active {
					left: 0;
				}

				scrollbar-color: $gray-dark transparent;
				scrollbar-width: thin;

				&::-webkit-scrollbar {
					width: 4px;
				}

				&::-webkit-scrollbar-track {
					background: $black;
					border-radius: 24px;
				}

				&::-webkit-scrollbar-thumb {
					background: $gray-text;
					border-radius: 24px;
					cursor: pointer;
				}

				&::-webkit-scrollbar-thumb:hover {
					background: $gray-text;
				}
			}
		}
		&:hover {
			@include min_tablet {
				.dropdown {
					max-height: 500px;
					border-bottom: 2px solid $primary;
					box-shadow: 
						0px 100px 80px rgba(0, 0, 0, 0.07), 
						0px 64.8148px 46.8519px rgba(0, 0, 0, 0.0531481), 
						0px 38.5185px 25.4815px rgba(0, 0, 0, 0.0425185), 
						0px 20px 13px rgba(0, 0, 0, 0.035), 
						0px 8.14815px 6.51852px rgba(0, 0, 0, 0.0274815), 
						0px 1.85185px 3.14815px rgba(0, 0, 0, 0.0168519);
				}
			}
		}
	}
}

input {
	outline: none!important;
}

.fetched-content {
	max-width: 560px;
	margin: 0 auto;
	padding: 1.5rem 0 4rem;

	p, img {
		+ul {
			margin-top: 1rem;
		}
		&+p {
			margin-top: 1rem;
		}
		&+h2,
		&+h3 {
			margin-top: 2rem;
		}
	}

	img {
		width: 100%;
		&+p {
			margin-top: 2rem;
		}
	}

	a {
		color: $blue-link;
		text-decoration: underline;
		text-decoration-color: transparent;
		transition: text-decoration-color .2s ease-in-out;
		&:hover {
			text-decoration-color: $blue-link;
		}
	}

	h2, h3 {
		font-size: 1.5rem;
		font-weight: 500;
		text-align: left;
		text-transform: uppercase;
		+p {
			margin-top: 1.5rem;
		}
	}

	ul+p {
		margin-top: 1rem;
	}
}